Subject: [PATCH] thermal: exynos: fix register read in TMU

From: [email-masked] (Krzysztof Kozlowski)
Date: Sat, 10 Oct 2015 13:36:16 +0900

W dniu 09.10.2015 o 21:07, Lukasz Majewski pisze:
> Hi Krzysztof,
> 
>> 2015-10-08 23:21 GMT+09:00 Sudip Mukherjee
>> <[email-masked]>:
>>> On Fri, Oct 02, 2015 at 08:43:52AM +0900, Krzysztof Kozlowski wrote:
>>>> 2015-10-01 23:12 GMT+09:00 Sudip Mukherjee
>>>> <[email-masked]>:
>>>>> On Thu, Oct 01, 2015 at 10:18:57PM +0900, Krzysztof Kozlowski
>>>>> wrote:
>>>>>> 2015-10-01 20:39 GMT+09:00 Sudip Mukherjee
>>>>>> <[email-masked]>:
>>>>>>> The value of emul_con was getting overwritten if the selected
>>>>>>> soc is SOC_ARCH_EXYNOS5260. And so as a result we were
>>>>>>> reading from the wrong register in the case of
>>>>>>> SOC_ARCH_EXYNOS5260.
>>>>>>
>>>>>> How the value is overwritten if the soc is Exynos5260? I can't
>>>>>> see it (although the "else if" is still more obvious than "if"
>>>>>> but how does the description match the code?).
>>>>> The code here is:
>>>>> if (data->soc == SOC_ARCH_EXYNOS5260)
>>>>>         emul_con = EXYNOS5260_EMUL_CON;
>>>>> if (data->soc == SOC_ARCH_EXYNOS5433)
>>>>>         emul_con = EXYNOS5433_TMU_EMUL_CON;
>>>>> else if (data->soc == SOC_ARCH_EXYNOS7)
>>>>>         emul_con = EXYNOS7_TMU_REG_EMUL_CON;
>>>>> else
>>>>>         emul_con = EXYNOS_EMUL_CON;
>>>>>
>>>>> So if data->soc is SOC_ARCH_EXYNOS5260 , then emul_con becomes
>>>>> EXYNOS5260_EMUL_CON. But again for the else part it will become
>>>>> EXYNOS_EMUL_CON.
>>>>
>>>> Indeed!
>>>>
>>>> Fixes: 488c7455d74c ("thermal: exynos: Add the support for
>>>> Exynos5433 TMU")
>>>>
>>>> Reviewed-by: Krzysztof Kozlowski <[email-masked]>
>>>
>>> Hi Krzysztof,
>>> Who will pick this one up? I still do not see it in linux-next.
>>
>> Hi!
>>
>> I guess it is a patch for Lukasz.
>>
>> Lukasz,
>> Do you plan to pick it up or maybe this should go through samsung-soc
>> tree?
> 
> This is the only one patch, which is waiting in my queue. Since no more
> fixes available, please feel free to grab this patch to samsung-soc.
> 
> Acked-by: Lukasz Majewski <[email-masked]>

Okay, thanks! Applied to fixes for current cycle. I'll it send later to
Kukjin (unless he picks it as well).

Best regards,
Krzysztof